/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "ommanualrotation.h"
#include <QDebug>

OMManualRotation::OMManualRotation(QWidget *parent)
 : QWidget(parent)
{
	Layout = new QGridLayout();
	
	Logo = new QLabel(this);
	Logo->setPixmap( QPixmap( "/usr/share/pixmaps/openmoko-panel-plugin-qt/neo.png" ) );
	Logo->setAlignment( Qt::AlignCenter );
	Layout->addWidget(Logo,1,1);
		
	LeftButton = new QPushButton( QIcon( "/usr/share/pixmaps/openmoko-panel-plugin-qt/arrow_left.png" ), "", this );
	LeftButton->setIconSize( LeftButton->size() );
	connect(LeftButton, SIGNAL( clicked() ), this, SLOT( leftButtonClicked() ) );
	Layout->addWidget(LeftButton,1,0);

	RightButton = new QPushButton( QIcon( "/usr/share/pixmaps/openmoko-panel-plugin-qt/arrow_right.png" ), "", this );
	RightButton->setIconSize( RightButton->size() );
	connect(RightButton, SIGNAL( clicked() ), this, SLOT( rightButtonClicked() ) );
	Layout->addWidget(RightButton,1,2);


	TopButton = new QPushButton( QIcon( "/usr/share/pixmaps/openmoko-panel-plugin-qt/arrow_top.png" ), "", this );
	TopButton->setIconSize( TopButton->size() );
	connect(TopButton, SIGNAL( clicked() ), this, SLOT( topButtonClicked() ) );
	Layout->addWidget(TopButton,0,1);

	BottomButton = new QPushButton( QIcon( "/usr/share/pixmaps/openmoko-panel-plugin-qt/arrow_bottom.png" ), "", this );
	BottomButton->setIconSize( BottomButton->size() );
	connect(BottomButton, SIGNAL( clicked() ), this, SLOT( bottomButtonClicked() ) );
	Layout->addWidget(BottomButton,2,1);


	setLayout(Layout);

}


OMManualRotation::~OMManualRotation()
{
}




void OMManualRotation::leftButtonClicked()
{

    emit manualRotationEvent( 3 );
}

void OMManualRotation::rightButtonClicked()
{
    emit manualRotationEvent( 1 );
}

void OMManualRotation::topButtonClicked()
{
    emit manualRotationEvent( 2 );
}

void OMManualRotation::bottomButtonClicked()
{
    emit manualRotationEvent( 0 );
}