/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMMANUALROTATION_H
#define OMMANUALROTATION_H

#include <QWidget>
#include <QGridLayout>
#include <QLabel>
#include <QPushButton>

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMManualRotation : public QWidget
{
Q_OBJECT
public:
    OMManualRotation(QWidget *parent = 0);

    ~OMManualRotation();

protected:
    QGridLayout * Layout;
    QPushButton * LeftButton;
    QPushButton * RightButton;
    QPushButton * TopButton;
    QPushButton * BottomButton;
    QLabel * Logo;
signals:
    void manualRotationEvent(int rot);
protected slots:
    void leftButtonClicked();
    void rightButtonClicked();
    void topButtonClicked();
    void bottomButtonClicked();
};

#endif
