/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMKEYBOARD_H
#define OMKEYBOARD_H

#include <QWidget>
#include <QProcess>
#include <QSystemTrayIcon>
#include <QSettings>
/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMKeyboard : public QWidget
{
Q_OBJECT
public:
    OMKeyboard(QWidget *parent = 0);

    ~OMKeyboard();
    void saveSettings();
    void loadSettings();
protected:
    QString KeyboardApp;
    QProcess * KeyboardProcess;
    QString IconBasePath;
    QSystemTrayIcon * SysTrayIcon;
    QString activeIconFile;
    QString  inactiveIconFile;
    QIcon activeIcon;
    QIcon inactiveIcon;
    QSettings * Settings;
protected slots:
    void iconActivated(QSystemTrayIcon::ActivationReason);
};

#endif
