/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "omshutdownmenu.h"
#include <QDebug>
#include <QApplication>
#include <QProcess>

OMShutdownMenu::OMShutdownMenu(QWidget *parent)
 : QWidget(parent)
{

	SysTrayIcon = new QSystemTrayIcon( QIcon("/usr/share/pixmaps/openmoko-panel-plugin-qt/system-shutdown.png"), this );
	connect(SysTrayIcon, SIGNAL(activated(QSystemTrayIcon::ActivationReason)),this, SLOT(iconActivated(QSystemTrayIcon::ActivationReason)));
	SysTrayIcon->show();


	MainLayout = new QVBoxLayout();

	SuspendButton = new QPushButton(QObject::tr("suspend"), this);
	MainLayout->addWidget( SuspendButton );
	connect(SuspendButton,SIGNAL(clicked()),this,SLOT(SuspendButtonclicked()));	

	RestartButton = new QPushButton(QObject::tr("reboot"), this);
	MainLayout->addWidget( RestartButton );
	connect(RestartButton,SIGNAL(clicked()),this,SLOT(RestartButtonclicked()));	

	ShutdownButton = new QPushButton(QObject::tr("shutdown"), this);
	MainLayout->addWidget( ShutdownButton );
	connect(ShutdownButton,SIGNAL(clicked()),this,SLOT(ShutdownButtonclicked()));

	CloseButton = new QPushButton(QObject::tr("close"), this);
	MainLayout->addWidget( CloseButton );
	connect(CloseButton,SIGNAL(clicked()),this,SLOT(CloseButtonclicked()));

	QuitButton = new QPushButton(QObject::tr("quit"), this);
	MainLayout->addWidget( QuitButton );
	connect(QuitButton,SIGNAL(clicked()),this,SLOT(QuitButtonclicked()));
	setLayout(MainLayout);

	systemBus = new QDBusConnection( QDBusConnection::connectToBus( QDBusConnection::SystemBus, "system" ) );
	
	UsageInterface = new OMUsageInterface( this);

	InputInterface = new QDBusInterface("org.freesmartphone.odeviced", "/org/freesmartphone/Device/Input", "org.freesmartphone.Device.Input", *systemBus, this);

	connect(InputInterface, SIGNAL(Event(QString, QString , int)), this, SLOT(InputEvent(QString, QString, int)));
}


OMShutdownMenu::~OMShutdownMenu()
{
}



void OMShutdownMenu::iconActivated(QSystemTrayIcon::ActivationReason)
{
    showMaximized();
}

void OMShutdownMenu::InputEvent(QString name, QString action, int sec)
{
    if (name == "POWER")
	if (action == "pressed") showMaximized();
}


void OMShutdownMenu::QuitButtonclicked()
{
	qApp->quit();
}

void OMShutdownMenu::CloseButtonclicked()
{
	hide();
}

void OMShutdownMenu::SuspendButtonclicked()
{
	UsageInterface->call("Suspend");
}

void OMShutdownMenu::RestartButtonclicked()
{

	
	QProcess::execute("init 6");
//	UsageInterface->call("Reboot");

}

void OMShutdownMenu::ShutdownButtonclicked()
{
//	UsageInterface->call("Shutdown");
	QProcess::execute("init 0");

}
